> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/almanac/register-agents-batch-v-1-almanac-agents-batch-post/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Register Agents Batch POST https://agentverse.ai/v1/almanac/agents/batch Content-Type: application/json Reference: https://docs.agentverse.ai/v-1/api-reference/almanac/register-agents-batch-v-1-almanac-agents-batch-post ## Request ### Body (application/json) This endpoint expects an AgentRegistrationAttestationBatch. - `attestations` (list of AgentRegistrationAttestation, required) — Batch of agent registration attestations ## Response ### 200 Successful Response - `any` ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### AgentRegistrationAttestation - `agent_identifier` (string, required) - `protocols` (list of string, required) — list of supported protocol identifiers - `endpoints` (list of AgentEndpoint, required) — Declared service endpoints - `signature` (string, optional) - `timestamp` (integer, optional) - `metadata` (map from string to AgentRegistrationAttestationMetadata, optional) — Optional metadata with string or string list or nested key-value data ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### AgentEndpoint - `url` (string, required) - `weight` (integer, required) ### AgentRegistrationAttestationMetadata ### ValidationErrorLocItems ## Examples **Request** ```json { "attestations": [ { "agent_identifier": "foo", "protocols": [ "foo" ], "endpoints": [ { "url": "foo", "weight": 42 } ] } ] } ``` **SDK Code** ```python almanacRegisterAgentsBatchV1AlmanacAgentsBatchPostExample import requests url = "https://agentverse.ai/v1/almanac/agents/batch" payload = { "attestations": [ { "agent_identifier": "foo", "protocols": ["foo"], "endpoints": [ { "url": "foo", "weight": 42 } ] } ] } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript almanacRegisterAgentsBatchV1AlmanacAgentsBatchPostExample const url = 'https://agentverse.ai/v1/almanac/agents/batch'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"attestations":[{"agent_identifier":"foo","protocols":["foo"],"endpoints":[{"url":"foo","weight":42}]}]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go almanacRegisterAgentsBatchV1AlmanacAgentsBatchPostExample package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/almanac/agents/batch" payload := strings.NewReader("{\n \"attestations\": [\n {\n \"agent_identifier\": \"foo\",\n \"protocols\": [\n \"foo\"\n ],\n \"endpoints\": [\n {\n \"url\": \"foo\",\n \"weight\": 42\n }\n ]\n }\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby almanacRegisterAgentsBatchV1AlmanacAgentsBatchPostExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/almanac/agents/batch") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"attestations\": [\n {\n \"agent_identifier\": \"foo\",\n \"protocols\": [\n \"foo\"\n ],\n \"endpoints\": [\n {\n \"url\": \"foo\",\n \"weight\": 42\n }\n ]\n }\n ]\n}" response = http.request(request) puts response.read_body ``` ```java almanacRegisterAgentsBatchV1AlmanacAgentsBatchPostExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://agentverse.ai/v1/almanac/agents/batch") .header("Content-Type", "application/json") .body("{\n \"attestations\": [\n {\n \"agent_identifier\": \"foo\",\n \"protocols\": [\n \"foo\"\n ],\n \"endpoints\": [\n {\n \"url\": \"foo\",\n \"weight\": 42\n }\n ]\n }\n ]\n}") .asString(); ``` ```php almanacRegisterAgentsBatchV1AlmanacAgentsBatchPostExample request('POST', 'https://agentverse.ai/v1/almanac/agents/batch', [ 'body' => '{ "attestations": [ { "agent_identifier": "foo", "protocols": [ "foo" ], "endpoints": [ { "url": "foo", "weight": 42 } ] } ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp almanacRegisterAgentsBatchV1AlmanacAgentsBatchPostExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/almanac/agents/batch"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"attestations\": [\n {\n \"agent_identifier\": \"foo\",\n \"protocols\": [\n \"foo\"\n ],\n \"endpoints\": [\n {\n \"url\": \"foo\",\n \"weight\": 42\n }\n ]\n }\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift almanacRegisterAgentsBatchV1AlmanacAgentsBatchPostExample import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["attestations": [ [ "agent_identifier": "foo", "protocols": ["foo"], "endpoints": [ [ "url": "foo", "weight": 42 ] ] ] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/almanac/agents/batch")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.